libdvbv5: atsc_table_mgt_table Struct Reference

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Data Fields
atsc_table_mgt_table Struct Reference
Digital TV table parsing

ATSC tables descrition at MGT table. More...

`#include <mgt.h>`

## Data Fields
uint16_t | type
union { |
uint16_t bitfield |
struct { |
uint16_t pid:13 |
uint16_t one:3 |
} |  |
}; |  |
uint8_t | type_version:5
uint8_t | one2:3
uint32_t | size
union { |
uint16_t bitfield2 |
struct { |
uint16_t desc_length:12 |
uint16_t one3:4 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct atsc_table_mgt_table * | next

## Detailed Description

ATSC tables descrition at MGT table.

Parameters

  type | table type
  pid | table type pid
  type_version | type type version number
  size | number of bytes for the table entry
  desc_length | table type descriptors length
  descriptor | pointer to struct dvb_desc
  next | pointer to struct atsc_table_mgt_table

This structure is used to store the original VCT channel table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after atsc_table_mgt_table::descriptor (including it) won't be bit-mapped * to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 77 of file mgt.h.

## Field Documentation

## ◆ [union]

union { ... } atsc_table_mgt_table

## ◆ [union]

union { ... } atsc_table_mgt_table

## ◆ bitfield

uint16_t atsc_table_mgt_table::bitfield

Definition at line 80 of file mgt.h.

## ◆ bitfield2

uint16_t atsc_table_mgt_table::bitfield2

Definition at line 90 of file mgt.h.

## ◆ desc_length

uint16_t atsc_table_mgt_table::desc_length

Definition at line 92 of file mgt.h.

## ◆ descriptor

struct dvb_desc* atsc_table_mgt_table::descriptor

Definition at line 96 of file mgt.h.

## ◆ next

struct atsc_table_mgt_table* atsc_table_mgt_table::next

Definition at line 97 of file mgt.h.

## ◆ one

uint16_t atsc_table_mgt_table::one

Definition at line 83 of file mgt.h.

## ◆ one2

uint8_t atsc_table_mgt_table::one2

Definition at line 87 of file mgt.h.

## ◆ one3

uint16_t atsc_table_mgt_table::one3

Definition at line 93 of file mgt.h.

## ◆ pid

uint16_t atsc_table_mgt_table::pid

Definition at line 82 of file mgt.h.

## ◆ size

uint32_t atsc_table_mgt_table::size

Definition at line 88 of file mgt.h.

## ◆ type

uint16_t atsc_table_mgt_table::type

Definition at line 78 of file mgt.h.

## ◆ type_version

uint8_t atsc_table_mgt_table::type_version

Definition at line 86 of file mgt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mgt.h